package com.op.wms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.op.common.core.annotation.Excel;
import com.op.common.core.web.domain.BaseEntity;

/**
 * 设备绑定产品对象 base_equipment_product
 * 
 * @author Open Platform
 * @date 2023-07-20
 */
public class BaseEquipmentProduct extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/** 设备ID */
	private Long equipmentId;

	/** 设备编码 */
	@Excel(name = "设备编码")
	private String equipmentCode;

	/** 设备名称 */
	@Excel(name = "设备名称")
	private String equipmentName;

	/** 产品编码 */
	@Excel(name = "产品编码")
	private String productCode;

	/** 产品名称 */
	@Excel(name = "产品名称")
	private String productDescZh;

	/** 设备类型ID */
	@Excel(name = "设备类型ID")
	private Long equipmentTypeId;

	/** 设备类型编码 */
	@Excel(name = "设备类型编码")
	private String equipmentTypeCode;

	/** 设备类型名称 */
	@Excel(name = "设备类型名称")
	private String equipmentTypeName;

	/** 所属车间ID */
	@Excel(name = "所属车间ID")
	private Long workshopId;

	/** 所属车间编码 */
	@Excel(name = "所属车间编码")
	private String workshopCode;

	/** 所属车间名称 */
	@Excel(name = "所属车间名称")
	private String workshopName;

	/** 设备状态 */
	@Excel(name = "设备状态")
	private String status;

	/** 预留字段1 */
	@Excel(name = "预留字段1")
	private String attr1;

	/** 预留字段2 */
	@Excel(name = "预留字段2")
	private String attr2;

	/** 预留字段3 */
	@Excel(name = "预留字段3")
	private Long attr3;

	/** 预留字段4 */
	@Excel(name = "预留字段4")
	private Long attr4;

	public void setEquipmentId(Long equipmentId) {
		this.equipmentId = equipmentId;
	}

	public Long getEquipmentId() {
		return equipmentId;
	}
	public void setEquipmentCode(String equipmentCode) {
		this.equipmentCode = equipmentCode;
	}

	public String getEquipmentCode() {
		return equipmentCode;
	}
	public void setEquipmentName(String equipmentName) {
		this.equipmentName = equipmentName;
	}

	public String getEquipmentName() {
		return equipmentName;
	}
	public void setProductCode(String productCode) {
		this.productCode = productCode;
	}

	public String getProductCode() {
		return productCode;
	}
	public void setProductDescZh(String productDescZh) {
		this.productDescZh = productDescZh;
	}

	public String getProductDescZh() {
		return productDescZh;
	}
	public void setEquipmentTypeId(Long equipmentTypeId) {
		this.equipmentTypeId = equipmentTypeId;
	}

	public Long getEquipmentTypeId() {
		return equipmentTypeId;
	}
	public void setEquipmentTypeCode(String equipmentTypeCode) {
		this.equipmentTypeCode = equipmentTypeCode;
	}

	public String getEquipmentTypeCode() {
		return equipmentTypeCode;
	}
	public void setEquipmentTypeName(String equipmentTypeName) {
		this.equipmentTypeName = equipmentTypeName;
	}

	public String getEquipmentTypeName() {
		return equipmentTypeName;
	}
	public void setWorkshopId(Long workshopId) {
		this.workshopId = workshopId;
	}

	public Long getWorkshopId() {
		return workshopId;
	}
	public void setWorkshopCode(String workshopCode) {
		this.workshopCode = workshopCode;
	}

	public String getWorkshopCode() {
		return workshopCode;
	}
	public void setWorkshopName(String workshopName) {
		this.workshopName = workshopName;
	}

	public String getWorkshopName() {
		return workshopName;
	}
	public void setStatus(String status) {
		this.status = status;
	}

	public String getStatus() {
		return status;
	}
	public void setAttr1(String attr1) {
		this.attr1 = attr1;
	}

	public String getAttr1() {
		return attr1;
	}
	public void setAttr2(String attr2) {
		this.attr2 = attr2;
	}

	public String getAttr2() {
		return attr2;
	}
	public void setAttr3(Long attr3) {
		this.attr3 = attr3;
	}

	public Long getAttr3() {
		return attr3;
	}
	public void setAttr4(Long attr4) {
		this.attr4 = attr4;
	}

	public Long getAttr4() {
		return attr4;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
			.append("equipmentId", getEquipmentId())
			.append("equipmentCode", getEquipmentCode())
			.append("equipmentName", getEquipmentName())
			.append("productCode", getProductCode())
			.append("productDescZh", getProductDescZh())
			.append("equipmentTypeId", getEquipmentTypeId())
			.append("equipmentTypeCode", getEquipmentTypeCode())
			.append("equipmentTypeName", getEquipmentTypeName())
			.append("workshopId", getWorkshopId())
			.append("workshopCode", getWorkshopCode())
			.append("workshopName", getWorkshopName())
			.append("status", getStatus())
			.append("remark", getRemark())
			.append("attr1", getAttr1())
			.append("attr2", getAttr2())
			.append("attr3", getAttr3())
			.append("attr4", getAttr4())
			.append("createBy", getCreateBy())
			.append("createTime", getCreateTime())
			.append("updateBy", getUpdateBy())
			.append("updateTime", getUpdateTime())
			.toString();
	}
}
